backTransform-methods {unmarked} | R Documentation

## Methods for Function backTransform in Package ‘unmarked’

### Description

Methods for function `backTransform` in Package ‘unmarked’. This converts from link-scale to original-scale

### Usage

    ## S4 method for signature 'unmarkedFit'
    backTransform(obj, type)
    ## S4 method for signature 'unmarkedEstimate'
    backTransform(obj)

### Arguments

`obj` | Object of appropriate S4 class
`type` | one of names(obj), eg 'state' or 'det'

### Methods

obj = "unmarkedEstimate"

  Typically done internally

obj = "unmarkedFit"

  Back-transform a parameter from a fitted model. Only possible if no covariates are present. Must specify argument type as one of the values returned by names(obj).

obj = "unmarkedLinComb"

  Back-transform a predicted value created by `linearComb`. This is done internally by `predict` but can be done explicitly by user.

### Examples

    data(mallard)
    mallardUMF <- unmarkedFramePCount(mallard.y, siteCovs = mallard.site,
        obsCovs = mallard.obs)

    (fm <- pcount(~ 1 ~ forest, mallardUMF))    # Fit a model
    backTransform(fm, type="det")               # This works because there are no detection covariates
    #backTransform(fm, type="state")             # This doesn't work because covariates are present
    lc <- linearComb(fm, c(1, 0), type="state") # Estimate abundance on the log scale when forest=0
    backTransform(lc)                           # Abundance on the original scale

[Package unmarked version 0.12-3 Index]